Table of Contents

Class: ColorButton | ../bkchem/widgets.py
--- | ---
button used for color selection; has the choosen color in background and when pressed opens tkColorChooser.askcolor dialog
Base Classes |
--- | ---
Tkinter.Button
Methods |
--- | ---
__init__ set_color
| __init__
    __init__ (
            self,
            master=None,
            color=None,
            text='',
            )
well, init...
| set_color
    set_color ( self,  color )
sets the self.color and modifies self.foreground_color if needed for the text to be visible

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1